import jm from 'json-msg';
import React from 'react';
interface Config {
    message: object;
    allow?: any[];
    isJsonMsg: true;
    label?: string;
    config: {
        [key: string]: string;
    };
}
export interface Schema {
    [key: string]: Config;
}
export interface Option {
    /**
     * Trim all the string in data
     * @default
     * false
     */
    trim?: boolean;
    validateOnChange?: boolean;
    validateOnMount?: boolean;
    showAllErrors?: boolean;
}
interface Data {
    [key: string]: any;
}
declare function useForm(initialData?: Data, schema?: Schema, options?: Option): {
    data: Data;
    handleChange: (e: React.ChangeEvent<any>) => void;
    handleSubmit: (callback: (data: Data) => any) => (e: React.FormEvent<HTMLFormElement>) => void;
    errors: {} | Schema | null;
};
export { useForm };
export default jm;
